
Figure - Bug #117873
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】百度手机助手，使用微信登录后在桌面显示透明
2023-05-11 14:37 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

【测试步骤】

打开百度手机助手使用微信登录

【预期结果】

登录成功页面显示正确

【测试结果】

在桌面显示透明

History

#1 - 2023-05-15 15:35 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW 郑雷

#2 - 2023-05-15 22:03 - CD FW 郑雷

[当前进展]

1.微信账号授权界面WXLoginActivity是透明背景，所以在Launcher界面，百度手机助手账号进行微信登录，账号授权界面显示了Launcher的背景。

<activity android:theme="@android:style/Theme.Translucent.NoTitleBar" android:name="com.baidu.sapi2.activity.social.WXLoginActivity" android:exported="false"

android:launchMode="singleTop" android:screenOrientation="portrait" android:configChanges="screenSize|orientation|keyboardHidden"/>

[下一步]

对比其他app看下是否是问题

#3 - 2023-05-16 19:12 - CD FW 郑雷

[当前进展]

1.跟测试同学确认，新版本在登录成功后可以正常显示。

2.在登录微信的时候，"授权微信帐号登录中" 界面是透明的。经确认"授权微信帐号登录中"是属于com.baidu.sapi2.activity.social.WXLoginActivity，并

且WXLoginActivity是透明主题（Theme.Translucent.NoTitleBar）。

3.对比S社手机小窗功能，"授权微信帐号登录中"也是透明背景。

4.可以以fullscreen方式启动一个app，确认"授权微信帐号登录中"的背景是fullscreen app的背景。

基于以上此题是百度手机助手的设计问题。

#4 - 2023-05-17 14:34 - CD FW 曹覃刚
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 郑雷 to 物联网测试组_CDTS  唐霞 

- Need_Info changed from -- to TEST

Hi 唐霞

1.跟测试同学确认，新版本在登录成功后可以正常显示。

这个已经跟你确认过，新版中不会有问题

"授权微信帐号登录中" 界面是透明的

这个经调查，是由于微信账号授权界面WXLoginActivity是透明背景，这个是应用的行为,背景被设置成透明的了

因此此票没有内容需要处理，请确认

#5 - 2023-05-23 18:56 - 物联网测试组_CDTS  唐霞 

- File 中科创达软件股份有限公司20230523-185440.mp4 added

- File 523-1837.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD FW 曹覃刚

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103版本复现，安装应用后首次登录成功 一直显示透明

#6 - 2023-05-23 19:09 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#7 - 2023-05-25 15:28 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

经沟通,重新刷机测试该问题不复现.

从log看目前无法分析出问题出在哪里

从现象看,应该是app自己的问题,多次点击登录时,多次访问微信登录认证界面,由于网络或者其他原因导致微信认证一直没有返回,所以一直处于微信登录

加载认证的透明界面

在观察几个版本,如果无法复现,请关闭该问题

#8 - 2023-05-29 15:43 - 物联网测试组_CDTS  唐霞 

- File 529-百度手机助手.log added

- File 中科创达软件股份有限公司20230529-154259.mp4 added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD FW-鲁凯峰
FlatBuild_HH_MCE_FSE.M.R.user.01.00.0106.C104版本复现该问题

#9 - 2023-05-29 16:44 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

这个是百度手机助手内部逻辑出现了问题,需要百度手机助手自己去修改

//第一次点击启动百度手机助手

05-29 15:28:50.575  1593  1621 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.baidu.appsearch/.SplashActivity} from uid 10075

05-29 15:29:25.049  1593  3142 I ActivityTaskManager: START u0 {cmp=com.baidu.appsearch/.LauncherActivity} from uid 10123

05-29 15:29:25.429  1593 14306 I ActivityTaskManager: START u0 {flg=0x4000000 cmp=com.baidu.appsearch/.MainActivity (has extras)} from uid 10123

//启动登录界面

05-29 15:29:32.580  1593 11312 I ActivityTaskManager: START u0 {flg=0x10000000 cmp=com.baidu.appsearch/com.baidu.sapi2.activity.LoginActivity (has extras)} from

uid 10123

//点击微信登录

05-29 15:29:36.449  1593  1938 I ActivityTaskManager: START u0 {cmp=com.baidu.appsearch/com.baidu.sapi2.activity.social.WXLoginActivity (has extras)} from uid

10123

//跳转到微信授权界面

05-29 15:29:36.527  1593  1938 I ActivityTaskManager: START u0 {flg=0x18000000 cmp=com.tencent.mm/.plugin.base.stub.WXEntryActivity (has extras)} from uid 10123

05-29 15:29:36.989  1593  3100 I ActivityTaskManager: START u0 {flg=0x14000000 cmp=com.tencent.mm/.plugin.base.stub.UIEntryStub (has extras)} from uid 10070

05-29 15:29:37.074  1593  6548 I ActivityTaskManager: START u0 {cmp=com.tencent.mm/.plugin.webview.ui.tools.SDKOAuthUI (has extras)} from uid 10070

//在微信授权界面点击同意后返回百度手机助手的登录界面

05-29 15:29:39.983  1593  1781 I ActivityTaskManager: START u0 {flg=0x18000000 cmp=com.baidu.appsearch/.wxapi.WXEntryActivity (has extras)} from uid 10070

05-29 15:29:40.046  1593  5660 I ActivityTaskManager: START u0 {cmp=com.baidu.appsearch/com.baidu.sapi2.activity.social.WXLoginActivity (has extras)} from uid

10123

这个时候如果没有绑定电话号码的话,正常情况下,百度手机助手是需要显示绑定手机号码界面的,但是它还是显示的登录界面

//在次点击微信登录

05-29 15:29:44.254  1593 10757 I ActivityTaskManager: START u0 {flg=0x18000000 cmp=com.tencent.mm/.plugin.base.stub.WXEntryActivity (has extras)} from uid

10123

05-29 15:29:44.558  1593  3142 I ActivityTaskManager: START u0 {flg=0x14000000 cmp=com.tencent.mm/.plugin.base.stub.UIEntryStub (has extras)} from uid 10070

05-29 15:29:44.662  1593  3142 I ActivityTaskManager: START u0 {cmp=com.tencent.mm/.plugin.webview.ui.tools.SDKOAuthUI (has extras)} from uid 10070

//由于上次已经授权成功了,这次直接返回到百度手机助手的登录界面

05-29 15:29:45.388  1593 11312 I ActivityTaskManager: START u0 {flg=0x18000000 cmp=com.baidu.appsearch/.wxapi.WXEntryActivity (has extras)} from uid 10070

05-29 15:29:45.465  1593 14306 I ActivityTaskManager: START u0 {cmp=com.baidu.appsearch/com.baidu.sapi2.activity.social.WXLoginActivity (has extras)} from uid

10123

05-29 15:29:45.617  1593  1673 I ActivityTaskManager: Displayed com.baidu.appsearch/com.baidu.sapi2.activity.social.WXLoginActivity: +226ms

从log看,第二次点击微信登录返回到百度手机助手的时候,已经显示了百度手机助手的界面,但是由于它内部逻辑的原因,可能是由于网络的原因它没有把绑

定手机号码的界面显示出来,所以一直都是显示的上一个微信加载界面

这个需要应用自己去处理

#10 - 2023-06-01 14:31 - 物联网测试组_CDTS  唐霞 
- Assignee changed from 物联网测试组_CDTS  唐霞  to CDTS_TEST 王成

请判断是否关闭

#11 - 2023-06-03 11:19 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

6.3

应用自身问题，先关闭

#12 - 2023-06-03 11:20 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#13 - 2023-06-03 11:20 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

0511-11.log 3.21 MB 2023-05-11 物联网测试组_CDTS  唐霞 

百度手机助手微信登录后显示透明.mp4 10.4 MB 2023-05-11 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230523-185440.mp4 1.13 MB 2023-05-23 物联网测试组_CDTS  唐霞 

523-1837.txt 4.31 MB 2023-05-23 物联网测试组_CDTS  唐霞 

529-百度手机助手.log 5.67 MB 2023-05-29 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230529-154259.mp4 11.6 MB 2023-05-29 物联网测试组_CDTS  唐霞 
